package com.diaoyun.zion.master.enums;

@Deprecated
public enum ResponseCodeEnum {
    SUCCESS(0,"SUCCESS"),
    ERROR(1,"ERROR"),
    NEED_LOGIN(10,"NEED_LOGIN"),
    ILLEGAL_ARGUMENT(2,"ILLEGAL_ARGUMENT");

    //成员变量（常量）
    private final int code;
    private final String desc;

    //构造方法
    ResponseCodeEnum(int code, String desc){
        this.code = code;
        this.desc = desc;
    }
    //普通函数
    public int getCode(){
        return code;
    }
    public String getDesc(){
        return desc;
    }

}
